.btn-animated-round {
  &,
  &:link,
  &:visited {
    padding: .5rem 1rem !important;
    background-color: $color-primary;
    text-transform: uppercase;
    border-radius: 2rem;
    transition: all 0.2s;
    border: none;
  }

  &:hover {
    transform: translateY(-3px);
    box-shadow: 0 0.5rem 2rem rgba($color-black, 0.2);
  }

  &:active,
  &:focus {
    outline: none;
    transform: translateY(-1px);
    box-shadow: 0 0.25rem 1rem rgba($color-black, 0.2);
  }

  &--white {
    background-color: $color-white;
    color: $color-grey-dark;

    &::after {
      background-color: $color-white;
    }
  }

  // adding another color
  &--blue {
    background-color: $color-primary;
    color: $color-white;

    &::after {
      background-color: $color-primary;
    }
  }

  /* render the same btn after clicking */
  &::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    border-radius: 10rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all 0.4s;
  }

  &--animated {
    animation: moveInBottom 0.5s ease-out 0.75s;
    animation-fill-mode: backwards;
    /* applies the keyframe to 0% before animation starts */
  }
}

.btn-animated-round-text {
  &:visited,
  &:link {
    // font-size: 1rem;
    color: $color-primary;
    display: inline-block;
    text-decoration: none;
    border-bottom: 1px solid $color-primary;
    padding: 3px;
    transition: all 0.2s;
  }

  &:hover {
    background-color: $color-primary;
    color: $color-white;
    box-shadow: 0 1rem 2rem rgba($color-black, 0.15);
    transform: translateY(-2px);
  }

  &:active {
    box-shadow: 0 1rem 1rem rgba($color-black, 0.15);
    transform: translateY(0);
  }
}

.btn {
  // font-size: 0.7rem;
}